Subject: Re: Git config not expanding user home directories

From: Andreas Ericsson <[email-masked]>
Date: Wed, 01 Oct 2008 09:52:36 +0200

Jeff King wrote:
> On Tue, Sep 30, 2008 at 04:38:46AM -0700, Jakub Narebski wrote:
> 
>> There was a patch send to git mailing list adding basic '~' support
>> (I think via $ENV{HOME}), and IIRC even ~user support. I don't know
>> what happened to those patches (check mailing list archive), but
>> most probably it was not accepted because it didn't provide a way
>> for scripts to use this functionality, for example via --path option.
> 
> There were several rounds, and I thought it was shaping up, but then
> no more rounds came. I assume that Karl lost interest (or perhaps we
> nitpicked him to death), but I thought at the end of the thread Junio
> laid out a plan for the next revision. I guess nobody cared enough about
> the feature to implement it after that (though I think I found the final
> version acceptable with a minor documentation tweak, I think Junio laid
> out a cleaner approach).
> 
> The last patch is here, with one of the replies from Junio giving the
> aforementioned plan:
> 
>   http://mid.gmane.org/[email-masked]
> 

That looks roughly like the way I'd have done it. I'll see if I can find
the time to polish it up a bit.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231